Bug 158383 - Perl 5.8.7 is out
Perl 5.8.7 is out
Status: CLOSED DUPLICATE of bug 165907
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
http://www.cpan.org/pub/CPAN/authors/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-21 06:38 EDT by Marius Feraru
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-13 22:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Feraru 2005-05-21 06:38:24 EDT
Looks like a good start for FC4 as it already integrates many fixes and modules
updates that should ease fixing some of the current perl related problems in
Fedora Core devel branch.

Check out perldelta for details:
http://search.cpan.org/~nwclark/perl-5.8.7-RC1/pod/perl587delta.pod

Hm, as with the mod_perl 2.000_00 release, questions raise if these could be
quickly integrated into the future FC4 release (along with rebuilding/updating
all current perl related packages from FC - at least as to avoid "backward
compatible" @INC pollution)... hope this could be feasible as IMHO it would make
future perl related errata releases for FC4 much less painful, leaving the patch
backporting trouble to Fedora Legacy team ;-)
Comment 1 Jose Pedro Oliveira 2005-05-21 14:19:31 EDT
1) Perl 5.8.7 final is expected in less than one week

   Source: 5.8.7 RC1 announcement in use.perl.org
   http://use.perl.org/articles/05/05/20/123238.shtml?tid=6&tid=16

2) regarding mod_perl 2.0.0

   The perl package has been patched to include CGI.pm 3.10 (5.8.6-14).

   The final mod_perl 2.0.0 version is expected to be in FC4.
   See
     https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158354
   if you can help test it

3) @INC pollution.
   
   Yes. There are still half a dozen perl modules last built with perl 5.8.5.

Comment 2 Warren Togami 2005-05-21 17:58:20 EDT
#2 is not certain, rel-eng would need to approve it, and it is most likely they
would reject it from FC4 final because it isn't release critical.  If that is
the case we will push it immediately as an update.

#3 I don't consider this to be a problem.
Comment 3 Jose Pedro Oliveira 2005-05-30 21:56:32 EDT
Perl 5.8.7 is out!
http://search.cpan.org/~nwclark/perl-5.8.7/

PerlDelta (from 5.8.6)
http://search.cpan.org/~nwclark/perl-5.8.7/pod/perl587delta.pod

The main problem is that nothing has been uploaded to the CPAN master mirror for
the last 24/36 hours.
Comment 4 Warren Togami 2005-05-30 22:00:18 EDT
Not a huge problem, because we need to change many things and properly test the
SRPM a bit before adding it to rawhide in order to avoid breaking things.
Comment 5 Warren Togami 2005-06-12 16:42:19 EDT
Now is the time to put 5.8.7 into rawhide, although doing so may be a bit
non-trivial because of all the custom patches we have in the SRPM now.
Comment 6 Robert Scheck 2005-07-06 13:20:19 EDT
Warren, neither in CVS nor in Rawhide is perl 5.8.7 (as of today); perl-3:5.8.
6-15 is currently the latest available version in CVS/Rawhide...
Comment 7 Warren Togami 2005-07-06 17:27:31 EDT
https://www.redhat.com/mailman/listinfo/fedora-perl-devel-list
Please participate here and help jpo with fixing the package if you want it to
happen sooner.  jpo had it half done last I asked.
Comment 8 Warren Togami 2005-07-11 23:18:12 EDT
Shouldn't we get this into rawhide before upgrading the other submissions in FC5?  
Comment 9 Warren Togami 2005-08-13 22:05:03 EDT

*** This bug has been marked as a duplicate of 165907 ***

Note You need to log in before you can comment on or make changes to this bug.